<template>
  <div>
    <!-- 当前页面业务部分 -->
    <a-card :bordered="false" :title="title" v-show="visable">
            <a-descriptions title="工具管理参数详情">
              <a-descriptions-item label="工具类型">{{ this.para == null || this.para.applicationType == null ? '' : this.para.applicationType  }}</a-descriptions-item>
              <a-descriptions-item label="标准级别">{{  this.para == null || this.para.standardLevel == null ? '' : this.para.standardLevel }}</a-descriptions-item>
              <a-descriptions-item label="标准号">{{ this.para == null || this.para.standardCode == null ? '' : this.para.standardCode }}</a-descriptions-item>
              <a-descriptions-item label="厂家">{{ this.para == null || this.para.supplierId == null ? '' : this.para.supplierId }}</a-descriptions-item>
              <a-descriptions-item label="仓库省份城市">{{ this.para == null || this.para.provinceCity == null ? '' : this.para.provinceCity }}</a-descriptions-item>
              <a-descriptions-item label="库位号">{{ this.para == null || this.para.positionCode == null ? '' : this.para.positionCode }}</a-descriptions-item>
              <a-descriptions-item label="存储位置">{{ this.para == null || this.para.storageLocation == null ? '' : this.para.storageLocation }}</a-descriptions-item>
              <a-descriptions-item label="计量主单位">{{ this.para == null || this.para.mainUnit == null ? '' : this.para.mainUnit }}</a-descriptions-item>
              <a-descriptions-item label="计量辅单位">{{ this.para == null || this.para.auxiliaryUnit == null ? '' : this.para.auxiliaryUnit  }}</a-descriptions-item>
              <a-descriptions-item label="单价">{{ this.para == null || this.para.price == null ? '' : this.para.price }}</a-descriptions-item>
              <a-descriptions-item label="最低库存">{{ this.para == null || this.para.lowerInventory == null ? '' : this.para.lowerInventory }}</a-descriptions-item>
              <a-descriptions-item label="最高库存">{{ this.para == null || this.para.highestInventory == null ? '' : this.para.highestInventory }}</a-descriptions-item>
             
            </a-descriptions>
           
    </a-card>
  </div>
</template>

<script>

import JDictSelectTag from '@/components/dict/JDictSelectTag'
import JEllipsis from '@/components/jeecg/JEllipsis' //引入过长裁剪
import Tooltip from 'ant-design-vue/es/tooltip'
import JDate from '@/components/jeecg/JDate.vue'

export default {
  name: 'ToolsConfigPropertyList',
  components: {
    JDictSelectTag,
    JEllipsis,
    JDate,
    Tooltip,
  },
  data() {
    return {
      description: '工具信息管理参数页面',
      title: '',
      visable:false,
      para:{},
    }
  },
  created() {
  },
  methods: {

    getPara(record){
      this.visable = true
      this.para = record
    },
  },
}
</script>
<style lang="less" scoped>
</style>